Traduzioni: English - Français - Italiano - Русский - 简体中文


Icona ufficiale di Iceweasel Icon, usata nei pacchetti Debian - di Ricardo Fernandez Fuentes (Distribuita sotto triplice licenza: Gnu GPL, Gnu LGPL e Mozilla Public License)

Cosa è Iceweasel?

Iceweasel è un fork [da Firefox] con il seguente scopo:

  1. fare il backport delle risoluzioni dei problemi di sicurezza alla versione dichiarata Debian stable;

  2. escludere elementi grafici e artistici con marchio registrato Mozilla (a causa del punto #1 sopra).

A parte questo i due sono praticamente identici. (Citando il messaggio di Roberto C. Sanchez nella mailing-list debian-devel.)

Ripresa della distribuzione di Firefox in Debian

Come documentato dall'articolo The end of the Iceweasel Age (La fine dell'era di Iceweasel), Firefox è nuovamente presente in Debian con il nome e il marchio ufficiali.

Su richiesta di Mozilla (vedere 815006), Debian ora contiene Mozilla “Firefox ESR” (Extended Support Release) come pacchetto firefox-esr. Per il pacchetto sono valide le normali politiche Debian sul supporto, incluse le patch per le risoluzioni dei bug.

Come installare Iceweasel (Firefox)

In Debian Stretch e successive il pacchetto iceweasel è un pacchetto di transizione che installa il pacchetto firefox-esr.

Nelle Debian precedenti Stretch il pacchetto iceweasel è un fork come descritto sopra. Può essere installato dal repository Debian con

aptitude install iceweasel

Sono disponibili anche pacchetti di localizzazione (come iceweasel-l10n-it).

Tuttavia è solitamente preferibile utilizzare un backport più recente fornito dal team Debian Mozilla. L'articolo su Wikipedia spiega parte della terminologia.

Come ottenere il marchio Iceweasel per Firefox

L'addon Mozilla “Iceweasel Branding” applica il marchio Iceweasel di Debian a Firefox.

Attualmente (alla data del 2016-04-11) non c'è alcun pacchetto Debian per installare tale addon.

Plugin

La directory per i plugin è

mentre i plugin xul-ext relativi a Debian si trovano in

Per maggiori informazioni sui plugin per Iceweasel, fare riferimento alla sezione plugin della pagina di Mozilla.

Stringa "User-Agent"

Le stringhe "User-Agent" di Iceweasel sono al momento della stesura di questo testo:

Alcuni siti web servono contenuti diversi a seconda del valore di questa stringa oppure impediscono l'accesso.string, or prevent access. Si può cambiare la stringa User-Agent manualmente (about:config, preferenza general.useragent.override) o usando il plugin User Agent Switcher.

In modo predefinito, general.useragent.compatMode.firefox è impostato a VERO, che include "Firefox" nella stringa User-Agent.

Il sito Debian Mozilla

Si tratta di una risorsa da cui è possibile ottenere l'ultima versione di Iceweasel la quale finirà in experimental, unstable e infine testing e stable. In genere le versioni giungono in Debian unstable e poi scendono mentre le versioni beta sono rilasciate per experimental. La maggior parte delle versioni aurora possono essere trovate nel repository mozilla.debian.net.

È inoltre possibile comunicare con i maintainer Debian-mozilla tramite la mailing list così come su IRC nel canale #debian-mozilla su irc.oftc.net.

Avvertimenti SSL / Secure Connection

Il messaggio

può essere disabilitato. Vedere: http://changetheworldwithyourpassion.blogspot.com/2008/07/turn-off-secure-connection-failed-in.html

Personalizzare il profilo predefinito

I file che vengono copiati in ~/.mozilla/firefox/ quando viene creato un nuovo profilo per Iceweasel (quando il browser viene eseguito per la prima volta o usando l'opzione a riga di comando -P) possono essere trovati in /etc/iceweasel/profile/. Questi file popoleranno il nuovo profilo con le impostazioni, estensioni e molto altro, secondo quanto predefinito.

Vedere http://kb.mozillazine.org/Profile_folder_-_Firefox

Risoluzione dei problemi

Iceweasel va costantemente in crash in un sito web

    MOZILLA_DISABLE_PLUGINS=1 iceweasel -safe-mode

    mv ~/.mozilla/firefox ~/vecchio_firefox
    iceweasel &

Errore Unsupported Browser

Nessun supporto per H.264 in youtube

    # apt-get install gstreamer1.0-libav gstreamer1.0-plugins-good

Vedere anche